ReplicationManagerSiteConfig (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationManagerSiteConfig

    java.lang.Object
      com.sleepycat.db.ReplicationManagerSiteConfig

All Implemented Interfaces:
  Cloneable

    public class ReplicationManagerSiteConfig

extends Object
implements Cloneable

Specifies the attributes of a site in the replication group.

Constructor Summary
`ReplicationManagerSiteConfig()` An instance created using the default constructor is initialized with the system's default settings.
`ReplicationManagerSiteConfig(String host, long port)` Configure the host and port for a site in replication group.

Method Summary
`ReplicationHostAddress` | `getAddress()` Return the address of the site.
`boolean` | `getBootstrapHelper()` Return if the site is a helper for the local site.
`boolean` | `getGroupCreator()` Return if the site is a group creator.
`String` | `getHost()` Return the host of the site.
`boolean` | `getLegacy()` Return if the site is in a legacy group.
`boolean` | `getLocalSite()` Return if the site is the local site.
`boolean` | `getPeer()` Return if the site is peer.
`long` | `getPort()` Return the port of the site.
`void` | `setAddress(ReplicationHostAddress address)` Configure the address for a site in replication group.
`void` | `setBootstrapHelper(boolean helper)` Set the site to be a helper site.
`void` | `setGroupCreator(boolean groupCreator)` Set the site to be a group creator.
`void` | `setHost(String host)` Configure the host of the site.
`void` | `setLegacy(boolean legacy)` Specify the site in a legacy group.
`void` | `setLocalSite(boolean localSite)` Set the site to be the local site.
`void` | `setPeer(boolean peer)` Set the site to be peer to local site.
`void` | `setPort(long port)` Configure the port of the site.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplicationManagerSiteConfig

    public ReplicationManagerSiteConfig()

  An instance created using the default constructor is initialized with the system's default settings.

### ReplicationManagerSiteConfig

    public ReplicationManagerSiteConfig(String host,
                                        long port)

  Configure the host and port for a site in replication group.

  Parameters:
    `host` -
    `port` -

Method Detail

### setAddress

    public void setAddress(ReplicationHostAddress address)

  Configure the address for a site in replication group.

  Parameters:
    `address` -

### getAddress

    public ReplicationHostAddress getAddress()

  Return the address of the site.

  Returns:
    the address of the site.

### setHost

    public void setHost(String host)

  Configure the host of the site.

  Parameters:
    `host` -

### getHost

    public String getHost()

  Return the host of the site.

  Returns:
    the host of the site.

### setPort

    public void setPort(long port)

  Configure the port of the site.

  Parameters:
    `port` -

### getPort

    public long getPort()

  Return the port of the site.

  Returns:
    the port of the site.

### setBootstrapHelper

    public void setBootstrapHelper(boolean helper)

  Set the site to be a helper site.

  A remote site may be used as a helper when the local site first joins the replication group. Once the local site has been established as a member of the group, this config setting is ignored.

  Parameters:
    `helper` - If true, the site will be a helper.

### getBootstrapHelper

    public boolean getBootstrapHelper()

  Return if the site is a helper for the local site.

  Returns:
    If the site is a helper for the local site.

### setGroupCreator

    public void setGroupCreator(boolean groupCreator)

  Set the site to be a group creator.

  Only the local site could be applied as a group creator. The group creator would create the initial membership database, defining a replication group of just the one site, rather than trying to join an existing group when it starts for the first time.

  Parameters:
    `groupCreator` - If true, set the site a group creator.

### getGroupCreator

    public boolean getGroupCreator()

  Return if the site is a group creator.

  Returns:
    If the the site is a group creator.

### setLegacy

    public void setLegacy(boolean legacy)

  Specify the site in a legacy group. It would be considered as part of an existing group, upgrading from a previous version of BDB. All sites in the legacy group must specify this for themselves (the local site) and for all other sites initially in the group.

  Parameters:
    `legacy` - If true, specify the site in a legacy group.

### getLegacy

    public boolean getLegacy()

  Return if the site is in a legacy group.

  Returns:
    If the site is in a legacy group.

### setLocalSite

    public void setLocalSite(boolean localSite)

  Set the site to be the local site.

  Parameters:
    `localSite` - If true, it is local site.

### getLocalSite

    public boolean getLocalSite()

  Return if the site is the local site.

  Returns:
    If the site is the local site.

### setPeer

    public void setPeer(boolean peer)

  Set the site to be peer to local site.

  A peer site may be used as a target for "client-to-client" synchronization messages. It only makes sense to specify this for a remote site.

  Parameters:
    `peer` - If true, it is peer to loca site.

### getPeer

    public boolean getPeer()

  Return if the site is peer.

  Returns:
    If the site is peer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.